---
eidastest_compose:
   version: "3"
   services:
     firefox:
       image: selenium/standalone-firefox:3.141.59-20210422
       container_name: standalone-firefox
       volumes:
         - /dev/shm:/dev/shm
         - ./supervise_firefox_processes.sh:/scripts/supervise_firefox_processes.sh
       ports:
         - "4445:4444"
       environment:
         - START_XVFB=false
         - DBUS_SESSION_BUS_ADDRESS=/dev/null
         - NODE_MAX_SESSION=4
         - NODE_MAX_INSTANCES=4
       restart: on-failure

     eidastest-testid:
       image: docker.sunet.se/eidastest-testid:2.0.18
       container_name: eidastest-testid
       ports:
         - "443:8099"
       environment:
         - CERTNAME=eidastest-1.qa.sveidas.se
       volumes:
         - "/etc/ssl:/etc/ssl"
         - /dev/shm:/dev/shm
       depends_on:
         - firefox
       restart: on-failure

     scheduler1:
       image: mcuadros/ofelia:latest
       container_name: supvervising_standalone-firefox
       volumes:
         - /var/run/docker.sock:/var/run/docker.sock
         - ./config.ini:/etc/ofelia/config.ini
       depends_on:
         - firefox
